Package ru.bitel.bgbilling.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final boolean`
  `DEFAULT_API_ENABLE`
  `static final boolean`
  `DEFAULT_WEB_API_ENABLE`
  `static final String`
  `JOB_SCHEDULER_NAME_CONTRACT_PERIOD`
  `static final String`
  `JOB_SCHEDULER_NAME_RESERVE`
  `static final String`
  `KEY_ALARM_DISABLED`
  `static final String`
  `KEY_ALARM_MAIL`
  `static final String`
  `KEY_ALARM_SEND_TO_LOG`
  `static final String`
  `KEY_API_ENABLE`
  `static final String`
  `KEY_AUTO_RECALCULATE_EMAIL`
  `static final String`
  `KEY_BG_CLIENT_VERSION`
  `static final String`
  `KEY_CONTRACT_PARAMETER_RULE_READ_GROUP`
  `static final String`
  `KEY_CONTRACT_PARAMETER_RULE_READ_USER`
  `static final String`
  `KEY_CONTRACT_PARAMETER_RULE_WRITE_GROUP`
  `static final String`
  `KEY_CONTRACT_PARAMETER_RULE_WRITE_USER`
  `static final String`
  `KEY_CONTRACT_TEMPLATE_DEFAULT_ENABLE`
  `static final String`
  `KEY_LICENSE_CONTRACT_PASSWORD`
  `static final String`
  `KEY_LICENSE_CONTRACT_TITLE`
  `static final String`
  `KEY_LICENSE_PRODUCT_ID`
  `static final String`
  `KEY_LICENSE_SERVER_URL`
  `static final String`
  `KEY_MAIL_DEBUG`
  `static final String`
  `KEY_MAIL_ENCODING`
  `static final String`
  `KEY_MAIL_FROM_EMAIL`
  `static final String`
  `KEY_MAIL_FROM_NAME`
  `static final String`
  `KEY_MAIL_SMTP_AUTH`
  `static final String`
  `KEY_MAIL_SMTP_HOST`
  `static final String`
  `KEY_MAIL_SMTP_LOCALHOST`
  `static final String`
  `KEY_MAIL_SMTP_PORT`
  `static final String`
  `KEY_MAIL_SMTP_PSWD`
  `static final String`
  `KEY_MAIL_SMTP_STARTTLS_ENABLE`
  `static final String`
  `KEY_MAIL_SMTP_SUBMITTER`
  `static final String`
  `KEY_MAIL_SMTP_USER`
  `static final String`
  `KEY_MAIL_TO_EMAIL`
  `static final String`
  `KEY_MAIL_TO_NAME`
  `static final String`
  `KEY_OBJECT_PARAMETER_RULE_READ_GROUP`
  `static final String`
  `KEY_OBJECT_PARAMETER_RULE_READ_USER`
  `static final String`
  `KEY_OBJECT_PARAMETER_RULE_WRITE_GROUP`
  `static final String`
  `KEY_OBJECT_PARAMETER_RULE_WRITE_USER`
  `static final String`
  `KEY_REST_API_ENABLE`
  `static final String`
  `KEY_SORM_FTP_HOST`
  `static final String`
  `KEY_SORM_FTP_PASSWORD`
  `static final String`
  `KEY_SORM_FTP_PORT`
  `static final String`
  `KEY_SORM_FTP_USER`
  `static final String`
  `KEY_TELEGRAM_WEBHOOK_TOKEN`
  `static final String`
  `KEY_TELEGRAM_WEBHOOK_URL`
  `static final String`
  `KEY_TEMP_DIR_PATH`
  `static final String`
  `KEY_WEB_API_ENABLE`
  `static final String`
  `LICENSE_SERVER_URL`
  `static final String`
  `TABLE_ADDRESS_AREA`
  `static final String`
  `TABLE_ADDRESS_CITY`
  `static final String`
  `TABLE_ADDRESS_CONFIG`
  `static final String`
  `TABLE_ADDRESS_COUNTRY`
  `static final String`
  `TABLE_ADDRESS_HOUSE`
  `static final String`
  `TABLE_ADDRESS_QUARTER`
  `static final String`
  `TABLE_ADDRESS_STREET`
  `static final String`
  `TABLE_CONTRACT`
  `static final String`
  `TABLE_CONTRACT_LABEL_LINK`
  `static final String`
  `TABLE_CONTRACT_LIMIT_MANAGE`
  `static final String`
  `TABLE_CONTRACT_LIMIT_MANAGE_MODE`
  `static final String`
  `TABLE_CONTRACT_LIMIT_MANAGE_MODE_LOG`
  `static final String`
  `TABLE_CONTRACT_LIMIT_PERIOD`
  `static final String`
  `TABLE_CONTRACT_MODULE`
  `static final String`
  `TABLE_CONTRACT_NOTE`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_ADDRESS`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_BOOLEAN`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_CONTRACT`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_CONTRACT_LOG`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_DATE`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_DATE_LOG`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_EMAIL`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_EMAIL_LOG`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_EMAIL_MAIL`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_LIST`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_LIST_VALUES`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST_ITEM`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST_LOG`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST_VALUES`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_PHONE`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_PHONE_ITEM`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_PHONE_LOG`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_SERVICING_PERSON`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_SERVICING_PERSON_DIRECTORY`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_STRING`
  `static final String`
  `TABLE_CONTRACT_PARAMETER_TYPE_STRING_LOG`
  `static final String`
  `TABLE_CONTRACT_PARAMETERS_PREF`
  `static final String`
  `TABLE_CONTRACT_PATTERN`
  `static final String`
  `TABLE_CONTRACT_PATTERN_MODULES`
  `static final String`
  `TABLE_CONTRACT_PATTERN_SERVICES`
  `static final String`
  `TABLE_CONTRACT_TARIFF`
  `static final String`
  `TABLE_CONTRACT_TARIFF_VARS`
  `static final String`
  `TABLE_MODULE_TARIFF_TREE`
  `static final String`
  `TABLE_OBJECT`
  `static final String`
  `TABLE_OBJECT_PARAMETER_TYPE_STRING`
  `static final String`
  `TABLE_TARIFF_PLAN`
  `static final String`
  `TABLE_TARIFF_VARS`
  `static final String`
  `TABLE_TARIFF_VARS_VALUE`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_API_ENABLE

    public static final boolean DEFAULT_API_ENABLE
    See Also:
      - Constant Field Values

  - ### DEFAULT_WEB_API_ENABLE

    public static final boolean DEFAULT_WEB_API_ENABLE
    See Also:
      - Constant Field Values

  - ### LICENSE_SERVER_URL

    public static final String LICENSE_SERVER_URL
    See Also:
      - Constant Field Values

  - ### KEY_CONTRACT_PARAMETER_RULE_WRITE_GROUP

    public static final String KEY_CONTRACT_PARAMETER_RULE_WRITE_GROUP
    See Also:
      - Constant Field Values

  - ### KEY_CONTRACT_PARAMETER_RULE_WRITE_USER

    public static final String KEY_CONTRACT_PARAMETER_RULE_WRITE_USER
    See Also:
      - Constant Field Values

  - ### KEY_CONTRACT_PARAMETER_RULE_READ_GROUP

    public static final String KEY_CONTRACT_PARAMETER_RULE_READ_GROUP
    See Also:
      - Constant Field Values

  - ### KEY_CONTRACT_PARAMETER_RULE_READ_USER

    public static final String KEY_CONTRACT_PARAMETER_RULE_READ_USER
    See Also:
      - Constant Field Values

  - ### KEY_OBJECT_PARAMETER_RULE_WRITE_GROUP

    public static final String KEY_OBJECT_PARAMETER_RULE_WRITE_GROUP
    See Also:
      - Constant Field Values

  - ### KEY_OBJECT_PARAMETER_RULE_WRITE_USER

    public static final String KEY_OBJECT_PARAMETER_RULE_WRITE_USER
    See Also:
      - Constant Field Values

  - ### KEY_OBJECT_PARAMETER_RULE_READ_GROUP

    public static final String KEY_OBJECT_PARAMETER_RULE_READ_GROUP
    See Also:
      - Constant Field Values

  - ### KEY_OBJECT_PARAMETER_RULE_READ_USER

    public static final String KEY_OBJECT_PARAMETER_RULE_READ_USER
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_DEBUG

    public static final String KEY_MAIL_DEBUG
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_SMTP_AUTH

    public static final String KEY_MAIL_SMTP_AUTH
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_SMTP_USER

    public static final String KEY_MAIL_SMTP_USER
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_SMTP_PSWD

    public static final String KEY_MAIL_SMTP_PSWD
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_SMTP_HOST

    public static final String KEY_MAIL_SMTP_HOST
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_SMTP_PORT

    public static final String KEY_MAIL_SMTP_PORT
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_SMTP_SUBMITTER

    public static final String KEY_MAIL_SMTP_SUBMITTER
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_SMTP_LOCALHOST

    public static final String KEY_MAIL_SMTP_LOCALHOST
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_SMTP_STARTTLS_ENABLE

    public static final String KEY_MAIL_SMTP_STARTTLS_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_FROM_EMAIL

    public static final String KEY_MAIL_FROM_EMAIL
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_FROM_NAME

    public static final String KEY_MAIL_FROM_NAME
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_TO_EMAIL

    public static final String KEY_MAIL_TO_EMAIL
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_TO_NAME

    public static final String KEY_MAIL_TO_NAME
    See Also:
      - Constant Field Values

  - ### KEY_MAIL_ENCODING

    public static final String KEY_MAIL_ENCODING
    See Also:
      - Constant Field Values

  - ### KEY_API_ENABLE

    public static final String KEY_API_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_WEB_API_ENABLE

    public static final String KEY_WEB_API_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_REST_API_ENABLE

    public static final String KEY_REST_API_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_TEMP_DIR_PATH

    public static final String KEY_TEMP_DIR_PATH
    See Also:
      - Constant Field Values

  - ### KEY_ALARM_MAIL

    public static final String KEY_ALARM_MAIL
    See Also:
      - Constant Field Values

  - ### KEY_ALARM_DISABLED

    public static final String KEY_ALARM_DISABLED
    See Also:
      - Constant Field Values

  - ### KEY_ALARM_SEND_TO_LOG

    public static final String KEY_ALARM_SEND_TO_LOG
    See Also:
      - Constant Field Values

  - ### KEY_BG_CLIENT_VERSION

    public static final String KEY_BG_CLIENT_VERSION
    See Also:
      - Constant Field Values

  - ### KEY_LICENSE_SERVER_URL

    public static final String KEY_LICENSE_SERVER_URL
    See Also:
      - Constant Field Values

  - ### KEY_LICENSE_CONTRACT_TITLE

    public static final String KEY_LICENSE_CONTRACT_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_LICENSE_CONTRACT_PASSWORD

    public static final String KEY_LICENSE_CONTRACT_PASSWORD
    See Also:
      - Constant Field Values

  - ### KEY_LICENSE_PRODUCT_ID

    public static final String KEY_LICENSE_PRODUCT_ID
    See Also:
      - Constant Field Values

  - ### KEY_TELEGRAM_WEBHOOK_URL

    public static final String KEY_TELEGRAM_WEBHOOK_URL
    See Also:
      - Constant Field Values

  - ### KEY_TELEGRAM_WEBHOOK_TOKEN

    public static final String KEY_TELEGRAM_WEBHOOK_TOKEN
    See Also:
      - Constant Field Values

  - ### KEY_SORM_FTP_HOST

    public static final String KEY_SORM_FTP_HOST
    See Also:
      - Constant Field Values

  - ### KEY_SORM_FTP_PORT

    public static final String KEY_SORM_FTP_PORT
    See Also:
      - Constant Field Values

  - ### KEY_SORM_FTP_USER

    public static final String KEY_SORM_FTP_USER
    See Also:
      - Constant Field Values

  - ### KEY_SORM_FTP_PASSWORD

    public static final String KEY_SORM_FTP_PASSWORD
    See Also:
      - Constant Field Values

  - ### JOB_SCHEDULER_NAME_RESERVE

    public static final String JOB_SCHEDULER_NAME_RESERVE
    See Also:
      - Constant Field Values

  - ### JOB_SCHEDULER_NAME_CONTRACT_PERIOD

    public static final String JOB_SCHEDULER_NAME_CONTRACT_PERIOD
    See Also:
      - Constant Field Values

  - ### KEY_AUTO_RECALCULATE_EMAIL

    public static final String KEY_AUTO_RECALCULATE_EMAIL
    See Also:
      - Constant Field Values

  - ### KEY_CONTRACT_TEMPLATE_DEFAULT_ENABLE

    public static final String KEY_CONTRACT_TEMPLATE_DEFAULT_ENABLE
    See Also:
      - Constant Field Values

  - ### TABLE_ADDRESS_COUNTRY

    public static final String TABLE_ADDRESS_COUNTRY
    See Also:
      - Constant Field Values

  - ### TABLE_ADDRESS_CITY

    public static final String TABLE_ADDRESS_CITY
    See Also:
      - Constant Field Values

  - ### TABLE_ADDRESS_AREA

    public static final String TABLE_ADDRESS_AREA
    See Also:
      - Constant Field Values

  - ### TABLE_ADDRESS_QUARTER

    public static final String TABLE_ADDRESS_QUARTER
    See Also:
      - Constant Field Values

  - ### TABLE_ADDRESS_STREET

    public static final String TABLE_ADDRESS_STREET
    See Also:
      - Constant Field Values

  - ### TABLE_ADDRESS_HOUSE

    public static final String TABLE_ADDRESS_HOUSE
    See Also:
      - Constant Field Values

  - ### TABLE_ADDRESS_CONFIG

    public static final String TABLE_ADDRESS_CONFIG
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT

    public static final String TABLE_CONTRACT
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_MODULE

    public static final String TABLE_CONTRACT_MODULE
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_LIMIT_PERIOD

    public static final String TABLE_CONTRACT_LIMIT_PERIOD
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_LIMIT_MANAGE

    public static final String TABLE_CONTRACT_LIMIT_MANAGE
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_LIMIT_MANAGE_MODE

    public static final String TABLE_CONTRACT_LIMIT_MANAGE_MODE
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_LIMIT_MANAGE_MODE_LOG

    public static final String TABLE_CONTRACT_LIMIT_MANAGE_MODE_LOG
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PATTERN

    public static final String TABLE_CONTRACT_PATTERN
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PATTERN_MODULES

    public static final String TABLE_CONTRACT_PATTERN_MODULES
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PATTERN_SERVICES

    public static final String TABLE_CONTRACT_PATTERN_SERVICES
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETERS_PREF

    public static final String TABLE_CONTRACT_PARAMETERS_PREF
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_STRING

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_STRING
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_STRING_LOG

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_STRING_LOG
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_ADDRESS

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_ADDRESS
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_EMAIL

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_EMAIL
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_EMAIL_MAIL

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_EMAIL_MAIL
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_EMAIL_LOG

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_EMAIL_LOG
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_SERVICING_PERSON

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_SERVICING_PERSON
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_SERVICING_PERSON_DIRECTORY

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_SERVICING_PERSON_DIRECTORY
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_BOOLEAN

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_BOOLEAN
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_DATE

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_DATE
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_DATE_LOG

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_DATE_LOG
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_LIST

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_LIST
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_LIST_VALUES

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_LIST_VALUES
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_CONTRACT

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_CONTRACT
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_CONTRACT_LOG

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_CONTRACT_LOG
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_PHONE

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_PHONE
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_PHONE_ITEM

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_PHONE_ITEM
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_PHONE_LOG

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_PHONE_LOG
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST_LOG

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST_LOG
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST_ITEM

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST_ITEM
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST_VALUES

    public static final String TABLE_CONTRACT_PARAMETER_TYPE_MULTILIST_VALUES
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_NOTE

    public static final String TABLE_CONTRACT_NOTE
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_TARIFF

    public static final String TABLE_CONTRACT_TARIFF
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_TARIFF_VARS

    public static final String TABLE_CONTRACT_TARIFF_VARS
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_LABEL_LINK

    public static final String TABLE_CONTRACT_LABEL_LINK
    See Also:
      - Constant Field Values

  - ### TABLE_TARIFF_PLAN

    public static final String TABLE_TARIFF_PLAN
    See Also:
      - Constant Field Values

  - ### TABLE_TARIFF_VARS

    public static final String TABLE_TARIFF_VARS
    See Also:
      - Constant Field Values

  - ### TABLE_TARIFF_VARS_VALUE

    public static final String TABLE_TARIFF_VARS_VALUE
    See Also:
      - Constant Field Values

  - ### TABLE_MODULE_TARIFF_TREE

    public static final String TABLE_MODULE_TARIFF_TREE
    See Also:
      - Constant Field Values

  - ### TABLE_OBJECT

    public static final String TABLE_OBJECT
    See Also:
      - Constant Field Values

  - ### TABLE_OBJECT_PARAMETER_TYPE_STRING

    public static final String TABLE_OBJECT_PARAMETER_TYPE_STRING
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()